#ifndef LIST_H_
#define LIST_H_

#define DEFAULT_HEIGHT 200
#define DEFAULT_WIDTH 200

extern void get_font_height (void);
extern void set_line (gint time);
extern void redraw_list (void);
extern char *find_lyrics_file(char *title, int type, int desperate);
extern void load_song (void);
extern void *set_song_pos (GtkWidget * gtklist, gint row, gint column, GdkEventButton * event, gpointer data);
extern void init_plugin (void);

extern GeneralPlugin gp;
extern struct Song *song;

extern GdkColormap *colormap;
extern GtkWidget *window;
extern GtkWidget *gtklist;
extern GdkFont *current_font;

extern gchar lyrics_dir_path[255];
extern gchar lyrics_font[255];
extern gchar last_file[255];
extern gint width, height, font_height, conf;
extern gint hide_mode, hide_always;
extern gint look_in_mp3dir_mode, recursive_mode;
extern gint desperate_mode, fuzzy_percent;
extern gchar *active_color, *bg_color, *fg_color;
extern GdkColor active, background, foreground;

#endif
